
Figure - Bug #117998
【IOVDEV-28528】【VC1】【0095】【台架】【EE环境】【副屏】【设置】副屏亮度调节，调节条回弹
2023-05-17 16:48 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-17

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-05-25

Test Type: ST Root cause: 需求变更。

Description

前提条件】：副屏上电，

【操作步骤】

1.副屏-设置-显示

2.手动调节亮度

【实际结果】

1.亮度调节条回弹，手动调节亮度失败

【期望结果】

1.调节条不会回弹，手动调节亮度成功

【备注】：经过三台副屏测试，其他两个正常

【当前开机次数】：

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0080.C101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-17 16:49 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117998/051702.tar.gz  FTP日志

#2 - 2023-05-17 21:04 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

从提供的视频和日志看，视频中发生问题时是10:11，但是在10:11时收到了中控设置副屏亮度的消息，怀疑是变更亮度后，中控又再次更改了亮度

需要中控的同事先看看，谢谢

----------------------

05-17 10:11:13.039  1688  2553 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.android.settings/.Settings bnds=[2306,740][2508,940]} from uid 10075
->进入设定画面

05-17 10:11:16.264  2138  5533 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_HHServer',

destService='FSEM_SettingService', messageType='0', uuid='1684289476927368000', payloadData={

05-17 10:11:16.264  2138  5533 I MicroService:    "dstService" : "FSEM_SettingService",

05-17 10:11:16.264  2138  5533 I MicroService:    "messageType" : 0,

05-17 10:11:16.264  2138  5533 I MicroService:    "methodName" : "sendBrightness",

05-17 10:11:16.264  2138  5533 I MicroService:    "parameters" : {

05-17 10:11:16.264  2138  5533 I MicroService:       "IDCM_BrightValue" : 20

05-17 10:11:16.264  2138  5533 I MicroService:    },

05-17 10:11:16.264  2138  5533 I MicroService:    "srcService" : "IDCM_HHServer",

05-17 10:11:16.264  2138  5533 I MicroService:    "uuid" : 1684289476927368000

05-17 10:11:16.264  2138  5533 I MicroService: }

05-17 10:11:16.264  2138  5533 I MicroService: }

05-17 10:11:16.264  2138  5533 I MicroService: onRequest(sendBrightness): {"IDCM_BrightValue":20}

->收到更改亮度的消息

05-17 10:11:20.301  2138  5562 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_HHServer',

destService='FSEM_SettingService', messageType='0', uuid='1684289482959897000', payloadData={

05-17 10:11:20.301  2138  5562 I MicroService:    "dstService" : "FSEM_SettingService",

05-17 10:11:20.301  2138  5562 I MicroService:    "messageType" : 0,

05-17 10:11:20.301  2138  5562 I MicroService:    "methodName" : "sendBrightness",

05-17 10:11:20.301  2138  5562 I MicroService:    "parameters" : {

05-17 10:11:20.301  2138  5562 I MicroService:       "IDCM_BrightValue" : 20

05-17 10:11:20.301  2138  5562 I MicroService:    },

05-17 10:11:20.301  2138  5562 I MicroService:    "srcService" : "IDCM_HHServer",

05-17 10:11:20.301  2138  5562 I MicroService:    "uuid" : 1684289482959897000

05-17 10:11:20.301  2138  5562 I MicroService: }

05-17 10:11:20.301  2138  5562 I MicroService: }

05-17 10:11:20.301  2138  5562 I MicroService: onRequest(sendBrightness): {"IDCM_BrightValue":20}

05-17 10:11:20.302  2142  2271 D MicroSettings: ITCMicroCommonCallback: get request method = sendBrightness parameters = {"IDCM_BrightValue":20}

05-17 10:11:20.305  2138  5562 D MicroService: handleHeartBeat:1658

->收到更改亮度的消息

05-17 10:11:28.006  2138  5587 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_HHServer',

destService='FSEM_SettingService', messageType='0', uuid='1684289488982465000', payloadData={

05-17 10:11:28.006  2138  5587 I MicroService:    "dstService" : "FSEM_SettingService",

05-17 10:11:28.006  2138  5587 I MicroService:    "messageType" : 0,

05-17 10:11:28.006  2138  5587 I MicroService:    "methodName" : "sendBrightness",

05-17 10:11:28.006  2138  5587 I MicroService:    "parameters" : {

05-17 10:11:28.006  2138  5587 I MicroService:       "IDCM_BrightValue" : 20

05-17 10:11:28.006  2138  5587 I MicroService:    },

05-17 10:11:28.006  2138  5587 I MicroService:    "srcService" : "IDCM_HHServer",

05-17 10:11:28.006  2138  5587 I MicroService:    "uuid" : 1684289488982465000

05-17 10:11:28.006  2138  5587 I MicroService: }

05-17 10:11:28.006  2138  5587 I MicroService: }

05-17 10:11:28.006  2138  5587 I MicroService: onRequest(sendBrightness): {"IDCM_BrightValue":20}

05-17 10:11:28.006  2142  2271 D MicroSettings: ITCMicroCommonCallback: get request method = sendBrightness parameters = {"IDCM_BrightValue":20}

05-17 10:11:28.011  2138  5587 D MicroService: handleHeartBeat:1666

->收到更改亮度的消息

05-17 10:11:33.999  2138  5610 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_HHServer',

destService='FSEM_SettingService', messageType='0', uuid='1684289495017940000', payloadData={

2025-07-03 2/4



05-17 10:11:33.999  2138  5610 I MicroService:    "dstService" : "FSEM_SettingService",

05-17 10:11:33.999  2138  5610 I MicroService:    "messageType" : 0,

05-17 10:11:33.999  2138  5610 I MicroService:    "methodName" : "sendBrightness",

05-17 10:11:33.999  2138  5610 I MicroService:    "parameters" : {

05-17 10:11:33.999  2138  5610 I MicroService:       "IDCM_BrightValue" : 20

05-17 10:11:33.999  2138  5610 I MicroService:    },

05-17 10:11:33.999  2138  5610 I MicroService:    "srcService" : "IDCM_HHServer",

05-17 10:11:33.999  2138  5610 I MicroService:    "uuid" : 1684289495017940000

05-17 10:11:33.999  2138  5610 I MicroService: }

05-17 10:11:33.999  2138  5610 I MicroService: }

05-17 10:11:34.000  2138  5610 I MicroService: onRequest(sendBrightness): {"IDCM_BrightValue":20}

05-17 10:11:34.000  2142  2271 D MicroSettings: ITCMicroCommonCallback: get request method = sendBrightness parameters = {"IDCM_BrightValue":20}

05-17 10:11:34.005  2138  5610 D MicroService: handleHeartBeat:1673

>收到更改亮度的消息

---------------------

#3 - 2023-05-19 17:48 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW-程天颖

客户测试回复：关于亮度有沟通过，中控自动亮度会根据雨刷的雨量传感器的值而变化，副屏也会接收雨刷传感器的值，不会同步中控亮度的

请与客户研发确认此问题

#4 - 2023-05-22 20:20 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CDTS_TEST 王成

Hi,王成：

该问题需要对需求进行拉齐

客服期待手动调整亮度之后，自动亮度关闭

我方现象与安卓原生保持一致，手动调整亮度之后，自动亮度不会关闭

#5 - 2023-05-23 11:44 - 物联网项目组-RD3_CDTS 周飞

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

手动调节时，关闭自动亮度调节功能。暂定110版本

#6 - 2023-05-24 16:08 - CD FW 曹覃刚

- Category changed from 依赖客户及其供应商解决 to CD-FW

#7 - 2023-05-24 19:51 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

手动调节时，关闭自动亮度调节功能。暂定110版本
新的需求，110版本前，优先级放低

#8 - 2023-05-25 15:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202545 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SystemUI: Disable auto brightness when adjust brightness by manual.TC-RID: 1201-0201903IssueID: TS-R-BUG-117998Change-Id:

I424e8348a8118783fc5146cb4314f845c05b2148

#9 - 2023-05-25 15:22 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-25

- Root cause set to 需求变更。

■ Current conclusion

已处理，代码已入库。

■ My analysis

需求变更。处理后：当副屏手动调节亮度时，关闭自动亮度开关。

■ Next action

测试验证。

#10 - 2023-06-02 19:04 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

验证通过

#11 - 2023-06-02 19:04 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

video(67).mp4 2.86 MB 2023-05-17 CDTS_TEST 王成
